## org.eclipse.m2m.atl.adt.ui.text.atl.types
Class TupleType

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
          org.eclipse.m2m.atl.adt.ui.text.atl.types.TupleType

    public final class TupleType

extends OclAnyType

The ATL Tuple type.

Field Summary
`protected java.util.Map<java.lang.String,OclAnyType>` `attributes` The parameters of the tuple.
`protected java.util.Map<java.lang.String,org.eclipse.emf.ecore.EObject>` `eAttributes`

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`oclType`

Constructor Summary
`TupleType(java.util.Map<java.lang.String,OclAnyType> attributes, java.util.Map<java.lang.String,org.eclipse.emf.ecore.EObject> eAttributes)`

Method Summary
`java.util.List<Feature>` `getFeatures()`
`OclType` `getOclType()`
`OclAnyType[]` `getSupertypes()`
`protected java.util.List<Operation>` `getTypeOperations()` Return the local type operations.

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`create, equals, getInstance, getOperations, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### attributes

    protected java.util.Map<java.lang.String,OclAnyType> attributes

  The parameters of the tuple.

### eAttributes

    protected java.util.Map<java.lang.String,org.eclipse.emf.ecore.EObject> eAttributes

Constructor Detail

### TupleType

    public TupleType(java.util.Map<java.lang.String,OclAnyType> attributes,
                     java.util.Map<java.lang.String,org.eclipse.emf.ecore.EObject> eAttributes)

Method Detail

### getSupertypes

    public OclAnyType[] getSupertypes()

  Overrides:
    `getSupertypes` in class `OclAnyType`
  See Also:
    `org.eclipse.org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType#getSupertypes()`

### getOclType

    public OclType getOclType()

  Overrides:
    `getOclType` in class `OclAnyType`
  See Also:
    `org.eclipse.org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType#getOclType()`

### getFeatures

    public java.util.List<Feature> getFeatures()

  Overrides:
    `getFeatures` in class `OclAnyType`
  See Also:
    `org.eclipse.org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType#getFeatures()`

### getTypeOperations

    protected java.util.List<Operation> getTypeOperations()

  Return the local type operations. Subclasses may override this method to add their own operation to the supertypes's ones.

  Overrides:
    `getTypeOperations` in class `OclAnyType`
  Returns:
    the operations
  See Also:
    `org.eclipse.org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType#getTypeOperations()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.